%if 0%{?el7}
%define dist .el7
%endif

Summary: Experimental HTTP/2 client, server and proxy
Name: nghttp2
Version: 1.6.0
Release: 1%{?dist}
License: MIT
Group: Applications/Internet
URL: https://nghttp2.org/
Source0: https://github.com/tatsuhiro-t/nghttp2/releases/download/v%{version}/nghttp2-%{version}.tar.xz

BuildRequires: CUnit-devel
BuildRequires: libev-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel

Requires: libnghttp2%{?_isa} = %{version}-%{release}

%description
This package contains the HTTP/2 client, server and proxy programs.


%package -n libnghttp2
Summary: A library implementing the HTTP/2 protocol
Group: Development/Libraries

%description -n libnghttp2
libnghttp2 is a library implementing the Hypertext Transfer Protocol
version 2 (HTTP/2) protocol in C.


%package -n libnghttp2-devel
Summary: Files needed for building applications with libnghttp2
Group: Development/Libraries
Requires: libnghttp2%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description -n libnghttp2-devel
The libnghttp2-devel package includes libraries and header files needed
for building applications with libnghttp2.


%prep
%setup -q


%build
%configure                                  \
    --disable-python-bindings               \
    --disable-static                        \
    --without-libxml2                       \
    --without-spdylay

# avoid using rpath
sed -i libtool                              \
    -e 's/^runpath_var=.*/runpath_var=/'    \
    -e 's/^hardcode_libdir_flag_spec=".*"$/hardcode_libdir_flag_spec=""/'

make %{?_smp_mflags} V=1


%install
%make_install

# not needed on Fedora/RHEL
rm -f "$RPM_BUILD_ROOT%{_libdir}/libnghttp2.la"

# will be installed via %%doc
rm -f "$RPM_BUILD_ROOT%{_datadir}/doc/nghttp2/README.rst"

%post -n libnghttp2 -p /sbin/ldconfig

%postun -n libnghttp2 -p /sbin/ldconfig


%check
# test the just built library instead of the system one, without using rpath
#export "LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}"
#make %{?_smp_mflags} check V=1


%files
%{_bindir}/h2load
%{_bindir}/nghttp
%{_bindir}/nghttpd
%{_bindir}/nghttpx
%{_datadir}/nghttp2
%{_mandir}/man1/h2load.1*
%{_mandir}/man1/nghttp.1*
%{_mandir}/man1/nghttpd.1*
%{_mandir}/man1/nghttpx.1*

%files -n libnghttp2
%{_libdir}/libnghttp2.so.*
%{!?_licensedir:%global license %%doc}
%license COPYING

%files -n libnghttp2-devel
%{_includedir}/nghttp2
%{_libdir}/pkgconfig/libnghttp2.pc
%{_libdir}/libnghttp2.so
%doc README.rst


%changelog
* Mon Dec 28 2015 momo-i <webmaster@momo-i.org> - 1.6.0-1
- Update to 1.6.0

* Mon Nov 30 2015 momo-i <webmaster@momo-i.org> - 1.5.0-1
- Update to 1.5.0

* Tue Oct 27 2015 momo-i <webmaster@momo-i.org> - 1.4.0-1
- Update to 1.4.0

* Fri Sep 25 2015 momo-i <webmaster@momo-i.org> - 1.3.4-1
- Update to 1.3.4

* Sun Sep 13 2015 momo-i <webmaster@momo-i.org> - 1.3.1-1
- Update to 1.3.1

* Wed Sep 09 2015 momo-i <webmaster@momo-i.org> - 1.3.0-1
- Update to 1.3.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.2.1-2
- Update dist for centos7

* Wed Aug 26 2015 momo-i <webmaster@momo-i.org> - 1.2.1-1
- Update to 1.2.1

* Tue Jun 30 2015 Kamil Dudka <kdudka@redhat.com> 1.0.5-1
- packaged for Fedora (#1237247)
